package sgc.portal.cw.cw1502.web;

import org.springframework.web.bind.annotation.*;

import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1502.dto.CW15020003PSearch;
import sgc.portal.cw.cw1502.model.CW15020003P;
import sgc.portal.cw.cw1502.service.CW15020003PService;

import java.text.ParseException;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw1502")
public class CW15020003PController {
    private final CW15020003PService service;

    public CW15020003PController(CW15020003PService service) {
        this.service = service;
    }
    
    @PostMapping("/CW15020003P/selectRemInfo")
    public EasyHashMap<String, Object> getSelectRemInfo(@RequestBody CW15020003PSearch search) {
        return service.getSelectRemInfo(search);
    }

    @PostMapping("/CW15020003P/save")
    public Map<String, String> save(@RequestBody CW15020003P CW15020003P) throws ParseException {
    	return service.save(CW15020003P);
    }
}
